/* -------------------------------- */
/* ------------  PAGE  ------------ */
/* -------------------------------- */

main {
  padding-top: 5rem;
  background-color: var(--color-4);
}
main > *:first-child {
  padding-top: 1rem;
}
@media (max-width: 600px) {
  main > *:first-child {
    padding-top: 0;
  }
}
main > *:last-child {
  padding-bottom: 4rem;
}

/* Presentation */
.section-presentation {
  padding-top: max(2rem,4vw);
}
:is(.section-presentation, .section-presentation-films, .section-presentation-dessins, .section-presentation-divers, .section-presentation-ateliers) .btn {
  margin-top: 1rem;
  margin-right: 1rem;
}
:is(.section-presentation, .section-presentation-films, .section-presentation-dessins, .section-presentation-divers, .section-presentation-ateliers) .container {
  display: grid;
  column-gap: 5rem;
  row-gap: 3rem;
}
:is(.section-presentation-films, .section-presentation-dessins, .section-presentation-divers, .section-presentation-ateliers) .container {
  max-width: min(1032px, 100%);
  margin: max(1rem,3vw) auto;
  padding: max(1rem,2vw) 1rem;
  background-color: var(--color-light);
  border: 1px solid hsl(0 8 90%);
  border-radius: .25rem;
}
.section-presentation .container {
  grid-template-columns: 1fr 1fr;
}
:is(.section-presentation-dessins, .section-presentation-ateliers) .container {
  grid-template-columns: 3fr 2fr;
}
:is(.section-presentation-dessins, .section-presentation-ateliers) .presentation-texte {
  padding-left: max(1rem, 2.5vw);
}
:is(.section-presentation-films, .section-presentation-divers) .container {
  grid-template-columns: 2fr 3fr;
}
:is(.section-presentation-films, .section-presentation-divers) .presentation-texte {
  padding-right: max(1rem, 2.5vw);
}
.section-presentation .container {
  align-items: center;
  padding-top: max(1rem,1vw);
}
@media (max-width: 600px) {
  :is(.section-presentation-films, .section-presentation-dessins, .section-presentation-divers, .section-presentation-ateliers) {
    padding: 0 1rem;
  }
  :is(.section-presentation, .section-presentation-films, .section-presentation-dessins, .section-presentation-divers, .section-presentation-ateliers) .container {
    grid-template-columns: 1fr;
  }
}
.section-presentation h1 {
  padding-top: 0;
  font-size: 2rem;
  text-align: left;
}
@media (max-width: 600px) {
  .section-presentation h1 {
    font-size: 1.75rem;
  }
}
.section-presentation .presentation-image img {
  margin-left: auto;
}
.presentation-image--pinceau {
  position: relative;
}
.pinceau {
  position: absolute;
  bottom: 1.25rem;
  left: calc(-100% + 6.5rem);
}
@media (max-width: 1100px) {
  .pinceau {
    display: none;
  }
}
@media (max-width: 600px) {
  section:not(.section-presentation) .presentation-image {
    grid-area: 1 / 1;
  }
}


/* Sections dernières créations */
.section-actu {
  padding: 3rem 0 max(2rem,3vw);
  background-color: var(--color-light);
}
.section-actu h2 {
  padding-bottom: 2rem;
  text-align: center;
}
.vignette-actu {
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 2rem;
  row-gap: 1rem;
  align-items: center;
  max-width: 1000px;
  margin: 0 auto 1rem;
}
@media (max-width: 600px) {
  .vignette-actu {
    grid-template-columns: 1fr;
  }
}
.vignette-actu-image img {
  width: auto;
  max-height: 400px;
  margin-left: auto;
}
.vignette-actu h3 {
  padding-bottom: 1rem;
  font-family: "Special Elite", system-ui;
  font-size: 1.5rem;
}
@media (max-width: 600px) {
  .vignette-actu-image img {
    margin: auto;
  }
  .vignette-actu h3 {
    font-size: 1.25rem;
  }
}
.vignette-actu .vignette-liste-categories {
  padding: 0 0 1rem;
}
.vignette-actu p {
  padding-bottom: 2rem;
}

/* Instagram */
.section-instagram {
  padding: 3rem 0 max(2rem,3vw);
  background-color: var(--color-4);
}
.section-instagram h2 {
  padding-bottom: 2rem;
  text-align: center;
}
#sbi_images {
  margin-bottom: 1rem;
}
.sbi_item {
  position: relative;
  border-radius: .5rem;
  box-shadow: 0 0 .5rem #1111;
}
.sbi_item::after {
  position: absolute;
  inset: 0;
  background-color: var(--color-dark);
  content: "";
  opacity: 0;
  pointer-events: none;
  transition-duration: .3s;
}
.sbi_item:is(:hover,:focus,:active)::after {
  opacity: .4;
}
#sb_instagram #sbi_load :is(.sbi_load_btn, .sbi_follow_btn a) {
  margin-bottom: .5rem;
  padding: .75rem 1.5rem;
  border-radius: 50% 40%/40% 50%;
  color: var(--color-dark);
  font-size: 1rem;
  font-weight: 500;
  transition-duration: .3s;
}
#sb_instagram #sbi_load :is(.sbi_load_btn, .sbi_follow_btn a):is(:hover,:focus,:active) {
  background-color: var(--color-2) !important;
}

/* Section contact */
.section-contact {
  padding-top: 3rem;
  background-color: var(--color-light);
}
.section-contact h2 {
  text-align: center;
}

/* -------------------------------- */
/* -------  PAGE D'ARCHIVE -------- */
/* -------------------------------- */
.section-archives {
  padding: 2rem 0 4rem;
}
.section-archives .container {
  max-width: min(1432px, 100%);
}
.titre-archive {
  margin-bottom: 2rem;
  padding: 2rem 1rem;
  background-color: var(--color-medium);
}
.titre-archive .container {
  max-width: 600px;
  margin: 0 auto;
  padding: 1rem;
  background-color: var(--color-dark);
  color: var(--color-light);
}
.titre-archive h1 {
  padding: 0;
}
.liste-categories {
  display: flex;
  justify-content: center;
  align-items: center;
  column-gap: 2rem;
  row-gap: 1rem;
  flex-wrap: wrap;
  padding: 0 1rem 2rem;
  list-style: none;
}
.taxonomie-active {
  background-color: var(--color-2);
}
@media (max-width: 600px) {
  .liste-categories {
    column-gap: 1rem;
  }
  .liste-categories .btn {
    padding: .5rem 1rem;
    font-size: .9rem;
  }
}
.vignette {
  max-width: 446px;
  background-color: var(--color-light);
  border: 1px solid var(--color-medium);
  border-radius: .25rem;
  box-shadow: .5rem .5rem 0 var(--color-3);
}
.vignette h2 {
  padding: .75rem 1rem;
  font-size: 1.5rem;
  text-align: center;
}
@media (max-width: 600px) {
  .vignette h2 {
    font-size: 1.25rem;
  }
}
.vignette-image {
  margin-bottom: .5rem;
  background-color: var(--color-4);
  overflow: hidden;
}
.vignette-image img {
  margin: auto;
  transition: .5s;
}
:is(.vignette, .vignette-dessins) a:is(:hover,:focus,:active) .vignette-image img {
  transform: scale(1.05);
}
.vignette-liste-categories {
  padding: .5rem 1rem;
  display: flex;
  gap: .5rem;
  flex-wrap: wrap;
}
.vignette-categorie {
  padding: 0 .75rem;
  background-color: var(--color-3);
  border-radius: .25rem;
  color: var(--color-1);
  font-size: .9rem;
  font-weight: 500;
}
.vignette-description {
  padding: .5rem 1rem;
}
.vignette-description p {
  line-height: 1.5;
}
.vignette-lien {
  display: inline-flex;
  align-items: center;
  gap: .75rem;
  padding: .5rem 1rem 1rem;
  font-weight: bold;
}
.vignette-lien svg {
  width: 1.5rem;
  transition: .3s;
}
.vignette-lien svg .st0 {
  stroke: var(--color-1);
}
.vignette-lien:is(:hover,:focus,:active) {
  color: var(--color-dark);
}
.vignette-lien:is(:hover,:focus,:active) svg {
  transform: translateX(1rem);
}
.vignette-lien:is(:hover,:focus,:active) svg .st0 {
  stroke: var(--color-dark);
}

/* -------------------------------- */
/* --  Page d'archive des films  -- */
/* -------------------------------- */
.liste-categories li:has(a[href*="fiction"]){
  order: 1;
}
.liste-categories li:has(a[href*="documentaire"]){
  order: 2;
}
.liste-categories li:has(a[href*="clip"]){
  order: 3;
}

/* -------------------------------- */
/* -  Page d'archive des dessins  - */
/* -------------------------------- */
.liste-categories-dessins {
  margin-top: 1rem;
}
.vignette .description-categorie {
  padding: 0 1rem 1rem;
}
.vignette-dessin {
  display: flex;
  align-items: center;
  max-width: 350px;
  overflow: hidden;
}
.description-categorie--dessin {
  text-align: center;
}
.sans-dessin {
  padding: 1rem;
  background-color: var(--color-4);
}
.btn-dessin {
  transition: .3s;
}
.btn-dessin:is(:hover,:focus,:active) {
  transform: scale(1.1);
}
.section-archives__description {
  max-width: 80ch;
  margin: 0 auto 2rem;
  text-align: center;
}
.nav-links {
  display: flex;
  justify-content: center;
  column-gap: 1rem;
  margin-top: 3rem;
}
.page-numbers {
  display: grid;
  place-items: center;
  min-width: 4rem;
  height: 4rem;
  padding: .5rem;
  background-color: var(--color-3);
  border-radius: 50% 40%/40% 50%;
  font-family: "Pangolin", cursive;
  font-size: 1.25rem;
}
a.page-numbers:is(:hover,:focus,:active) {
  background-color: var(--color-2);
  color: var(--color-dark);
}

/* -------------------------------- */
/* - Page d'archive des ateliers -- */
/* -------------------------------- */
.archive-atelier__presentation p {
  margin-bottom: 2rem;
  font-size: 1.25rem;
  text-align: center;
}

/* -------------------------------- */
/* ------------  BLOG  ------------ */
/* -------------------------------- */
.blog-presentation {
  margin-bottom: 2rem;
}
.blog-presentation p {
  max-width: min(900px, 100%);
  margin: 0 auto;
  font-size: 1.25rem;
  text-align: center;
}
.grid-blog {
  max-width: 1200px;
  grid-template-rows : repeat(var(--grid-rows), max-content);
  grid-auto-flow: dense;
}
.grid-blog .vignette {
  align-self: start;
}
.grid-blog .vignette:first-child {
  grid-column: 1 / 3;
  grid-row: 1 / -1;
  max-width: unset;
}
@media (max-width: 600px) {
  .grid-blog .vignette:first-child {
    grid-column: 1 / -1;
  }
}

/* -------------------------------- */
/* --------  PAGE SINGLE  --------- */
/* -------------------------------- */
.container-single {
  display: grid;
  grid-template-columns: 1fr min(1232px, 100%) 1fr;
  row-gap: 2rem;
  justify-items: center;
  align-items: start;
}
.single-header {
  max-width: min(900px, 100%);
  margin: auto;
  text-align: center;
}
.single-title-bloc {
  padding-bottom: 2rem;
}
.h1-single {
  padding-bottom: .5rem;
}
.single-header .chapeau p {
  max-width: unset;
  font-size: 1.25rem;
}
@media (max-width: 600px) {
  .container-single {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto;
  }
  .single-header .chapeau p {
    font-size: 1rem;
  }
}
.video-iframe {
  display: flex;
  justify-content: center;
  margin-bottom: 4rem;
}
.single-presentation-film {
  display: grid;
  grid-template-columns: 2fr 3fr;
  column-gap: max(2rem,3vw);
  justify-content: space-between;
}
@media (max-width: 600px) {
  .single-presentation-film {
    grid-template-columns: minmax(0,1fr);
  }
}
.single-image {
  margin-bottom: .5rem;
}
.image-principale-single {
  width: auto;
  max-height: max(400px, 33vh);
  margin-inline: auto;
}
.single-image--film {
  max-height: unset;
}
.image-principale-single--dessin {
  max-height: 85vh;
}
.image-principale-single-caption {
  text-align: center;
}
.container-single .vignette-liste-categories {
  max-width: max-content;
  margin: auto;
  padding: 0 0 2rem;
}
.single-content img {
  margin: auto;
}
.single-presentation:not(.single-presentation-film) .single-content :is(p, blockquote, ul, ol, h1, h2, h3, h4, h5, h6, a) {
  max-width: 700px;
  margin: auto;
}
.navigation--single {
  min-height: calc(40vh + 3rem);
  padding-top: 40vh;
}
.navigation--single .btn {
  position: fixed;
  gap: .5rem;
  transform: translateX(-50%);
}
.navigation--single .btn:first-child::before,
.navigation--single .btn:last-child:not(:only-child)::after {
  display: block;
  width: 1.5rem;
  content: url("../images/arrow.svg");
  line-height: 0;
}
.navigation--single .btn[rel="next"]::before {
  transform: scale(-1,1);
}
/* @media (max-width: 600px) {
  .navigation--single .btn span {
    border: 0;
    padding: 0;
    margin: 0;
    position: absolute !important;
    height: 1px; 
    width: 1px;
    overflow: hidden;
    clip-path: inset(50%);
    white-space: nowrap;
  }
} */
.single-images-film {
  max-width: max-content;
  margin: 0 auto 1rem;
}
@media (max-width: 600px) {
  .single-images-film-container {
    width: 100vw;
    margin-left: -1rem;
    margin-right: -1rem;
    margin-bottom: 1rem;
    padding-left: 1rem;
    display: flex;
    column-gap: 1rem;
    overflow-x: scroll;
  }
  .single-images-film img {
    max-width: calc(90vw - 2rem);
  }
  .navigation--single {
    min-height: unset;
    padding-top: unset;
  }
  .navigation--single .btn {
    position: static;
    transform: unset;
  }
}
/* Les sauts de ligne du wysiwyg créent des div vides */
.single-content div:empty {
  min-height: 1rem;
}
/* Correction de la taille des div du wysiwyg contenant des images */
.single-content div {
  width: unset !important;
  line-height: 1.75;
}
/* Prise en compte de l'alignement du contenu */
.single-content .aligncenter {
  margin: auto;
}
/* Gallerie */
.gallery {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(320px, 1fr));
  column-gap: 1rem;
}
.gallery .gallery-item {
  width: 100% !important;
}
.gallery-icon a {
  display: block;
  border-radius: .5rem;
  overflow: hidden;
}
.gallery-icon img {
  border: none !important;
  transition-duration: 1s;
}
.gallery-icon img:is(:hover,:active,:focus) {
  transform: scale(1.1);
}
.gallery br {
  display: none;
}
.gallery-columns-1 {
  grid-template-columns: 1fr;
}
.gallery-columns-2 {
  grid-template-columns: repeat(auto-fill, minmax(400px, 1fr));
}
.gallery-columns-3 {
  grid-template-columns: repeat(auto-fill, minmax(320px, 1fr));
}
.gallery-columns-4 {
  grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
}
.gallery-columns-5 {
  grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
}
.gallery-columns-6 {
  grid-template-columns: repeat(auto-fill, minmax(180px, 1fr));
}
@media (max-width: 500px) {
  .gallery-columns-1,
  .gallery-columns-2,
  .gallery-columns-3,
  .gallery-columns-4,
  .gallery-columns-5,
  .gallery-columns-6 {
    grid-template-columns: 1fr;
  }
}

/* -------------------------------- */
/* -----  Page single dessin  ----- */
/* -------------------------------- */
.single-dessin__nav {
  display: grid;
  place-content: center;
}
.single-dessin__nav img {
  width: 7rem;
  height: 3rem;
}
.single-dessin__nav a[rel="prev"] img {
  transform: scaleX(-1);
}
@media (max-width: 600px) {
  .single-presentation {
    grid-column: 1 / -1;
    grid-row: 1 / 2;
  }
  .single-dessin__nav {
    grid-row: 2 / 3;
  }
}

/* -------------------------------- */
/* -  Page résultats de recherche - */
/* -------------------------------- */
.resultat-recherche {
  margin-bottom: 1rem;
  font-size: 1.125rem;
  text-align: center;
}
